ResourceAttributes (Tomcat API Documentation)
Keywords: org.apache.naming.resources.ResourceAttributes class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming.resources
Class ResourceAttributes

    java.lang.Object
      org.apache.naming.resources.ResourceAttributes

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, javax.naming.directory.Attributes

Direct Known Subclasses:
  FileDirContext.FileResourceAttributes

    public class ResourceAttributes

extends java.lang.Object
implements javax.naming.directory.Attributes

Attributes implementation.

Version:
  $Revision: 708151 $
Author:
  Remy Maucherat
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ALTERNATE_CONTENT_LENGTH` Content length.
`static java.lang.String` | `ALTERNATE_CREATION_DATE` Creation date.
`static java.lang.String` | `ALTERNATE_ETAG` ETag.
`static java.lang.String` | `ALTERNATE_LAST_MODIFIED` Last modification date.
`static java.lang.String` | `ALTERNATE_TYPE` Type.
`protected javax.naming.directory.Attributes` | `attributes` External attributes.
`protected boolean` | `collection` Collection flag.
`static java.lang.String` | `COLLECTION_TYPE` Collection type.
`static java.lang.String` | `CONTENT_LANGUAGE` Content language.
`static java.lang.String` | `CONTENT_LENGTH` Content length.
`static java.lang.String` | `CONTENT_TYPE` MIME type of the content.
`protected long` | `contentLength` Content length.
`protected long` | `creation` Creation time.
`static java.lang.String` | `CREATION_DATE` Creation date.
`protected java.util.Date` | `creationDate` Creation date.
`static java.lang.String` | `ETAG` ETag.
`protected static java.text.SimpleDateFormat` | `format` HTTP date format.
`protected static java.text.SimpleDateFormat[]` | `formats` Date formats using for Date parsing.
`protected static java.util.TimeZone` | `gmtZone`
`static java.lang.String` | `LAST_MODIFIED` Last modification date.
`protected long` | `lastModified` Last modified time.
`protected java.util.Date` | `lastModifiedDate` Last modified date.
`protected java.lang.String` | `lastModifiedHttp` Last modified date in HTTP format.
`protected java.lang.String` | `mimeType` MIME type.
`protected java.lang.String` | `name` Name.
`static java.lang.String` | `NAME` Name.
`static java.lang.String` | `SOURCE` Source.
`protected java.lang.String` | `strongETag` Strong ETag.
`static java.lang.String` | `TYPE` Type.
`protected java.lang.String` | `weakETag` Weak ETag.

Constructor Summary
`ResourceAttributes()` Default constructor.
`ResourceAttributes(javax.naming.directory.Attributes attributes)` Merges with another attribute set.

Method Summary
`java.lang.Object` | `clone()` Clone the attributes object (WARNING: fake cloning).
`javax.naming.directory.Attribute` | `get(java.lang.String attrID)` Get attribute.
`javax.naming.NamingEnumeration` | `getAll()` Get all attributes.
`java.lang.String` | `getCanonicalPath()` Return the canonical path of the resource, to possibly be used for direct file serving.
`long` | `getContentLength()` Get content length.
`long` | `getCreation()` Get creation time.
`java.util.Date` | `getCreationDate()` Get creation date.
`java.lang.String` | `getETag()` Get ETag.
`java.lang.String` | `getETag(boolean strong)` Deprecated.
`javax.naming.NamingEnumeration` | `getIDs()` Get all attribute IDs.
`long` | `getLastModified()` Get last modified time.
`java.util.Date` | `getLastModifiedDate()` Get lastModified date.
`java.lang.String` | `getLastModifiedHttp()`
`java.lang.String` | `getMimeType()`
`java.lang.String` | `getName()` Get name.
`java.lang.String` | `getResourceType()` Get resource type.
`boolean` | `isCaseIgnored()` Case sensitivity.
`boolean` | `isCollection()` Is collection.
`javax.naming.directory.Attribute` | `put(javax.naming.directory.Attribute attribute)` Put attribute.
`javax.naming.directory.Attribute` | `put(java.lang.String attrID, java.lang.Object val)` Put attribute.
`javax.naming.directory.Attribute` | `remove(java.lang.String attrID)` Remove attribute.
`void` | `setCollection(boolean collection)` Set collection flag.
`void` | `setContentLength(long contentLength)` Set content length.
`void` | `setCreation(long creation)` Set creation.
`void` | `setCreationDate(java.util.Date creationDate)` Creation date mutator.
`void` | `setETag(java.lang.String eTag)` Set strong ETag.
`void` | `setLastModified(java.util.Date lastModified)` Deprecated.
`void` | `setLastModified(long lastModified)` Set last modified.
`void` | `setLastModifiedDate(java.util.Date lastModifiedDate)` Last modified date mutator.
`void` | `setLastModifiedHttp(java.lang.String lastModifiedHttp)`
`void` | `setMimeType(java.lang.String mimeType)`
`void` | `setName(java.lang.String name)` Set name.
`void` | `setResourceType(java.lang.String resourceType)` Type mutator.
`int` | `size()` Retrieves the number of attributes in the attribute set.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CREATION_DATE

    public static final java.lang.String CREATION_DATE

  Creation date.

  See Also:
    Constant Field Values

### ALTERNATE_CREATION_DATE

    public static final java.lang.String ALTERNATE_CREATION_DATE

  Creation date.

  See Also:
    Constant Field Values

### LAST_MODIFIED

    public static final java.lang.String LAST_MODIFIED

  Last modification date.

  See Also:
    Constant Field Values

### ALTERNATE_LAST_MODIFIED

    public static final java.lang.String ALTERNATE_LAST_MODIFIED

  Last modification date.

  See Also:
    Constant Field Values

### NAME

    public static final java.lang.String NAME

  Name.

  See Also:
    Constant Field Values

### TYPE

    public static final java.lang.String TYPE

  Type.

  See Also:
    Constant Field Values

### ALTERNATE_TYPE

    public static final java.lang.String ALTERNATE_TYPE

  Type.

  See Also:
    Constant Field Values

### SOURCE

    public static final java.lang.String SOURCE

  Source.

  See Also:
    Constant Field Values

### CONTENT_TYPE

    public static final java.lang.String CONTENT_TYPE

  MIME type of the content.

  See Also:
    Constant Field Values

### CONTENT_LANGUAGE

    public static final java.lang.String CONTENT_LANGUAGE

  Content language.

  See Also:
    Constant Field Values

### CONTENT_LENGTH

    public static final java.lang.String CONTENT_LENGTH

  Content length.

  See Also:
    Constant Field Values

### ALTERNATE_CONTENT_LENGTH

    public static final java.lang.String ALTERNATE_CONTENT_LENGTH

  Content length.

  See Also:
    Constant Field Values

### ETAG

    public static final java.lang.String ETAG

  ETag.

  See Also:
    Constant Field Values

### ALTERNATE_ETAG

    public static final java.lang.String ALTERNATE_ETAG

  ETag.

  See Also:
    Constant Field Values

### COLLECTION_TYPE

    public static final java.lang.String COLLECTION_TYPE

  Collection type.

  See Also:
    Constant Field Values

### format

    protected static final java.text.SimpleDateFormat format

  HTTP date format.

### formats

    protected static final java.text.SimpleDateFormat[] formats

  Date formats using for Date parsing.

### gmtZone

    protected static final java.util.TimeZone gmtZone

### collection

    protected boolean collection

  Collection flag.

### contentLength

    protected long contentLength

  Content length.

### creation

    protected long creation

  Creation time.

### creationDate

    protected java.util.Date creationDate

  Creation date.

### lastModified

    protected long lastModified

  Last modified time.

### lastModifiedDate

    protected java.util.Date lastModifiedDate

  Last modified date.

### lastModifiedHttp

    protected java.lang.String lastModifiedHttp

  Last modified date in HTTP format.

### mimeType

    protected java.lang.String mimeType

  MIME type.

### name

    protected java.lang.String name

  Name.

### weakETag

    protected java.lang.String weakETag

  Weak ETag.

### strongETag

    protected java.lang.String strongETag

  Strong ETag.

### attributes

    protected javax.naming.directory.Attributes attributes

  External attributes.

Constructor Detail

### ResourceAttributes

    public ResourceAttributes()

  Default constructor.

### ResourceAttributes

    public ResourceAttributes(javax.naming.directory.Attributes attributes)

  Merges with another attribute set.

Method Detail

### isCollection

    public boolean isCollection()

  Is collection.

### setCollection

    public void setCollection(boolean collection)

  Set collection flag.

  Parameters:
    `collection` - New flag value

### getContentLength

    public long getContentLength()

  Get content length.

  Returns:
    content length value

### setContentLength

    public void setContentLength(long contentLength)

  Set content length.

  Parameters:
    `contentLength` - New content length value

### getCreation

    public long getCreation()

  Get creation time.

  Returns:
    creation time value

### setCreation

    public void setCreation(long creation)

  Set creation.

  Parameters:
    `creation` - New creation value

### getCreationDate

    public java.util.Date getCreationDate()

  Get creation date.

  Returns:
    Creation date value

### setCreationDate

    public void setCreationDate(java.util.Date creationDate)

  Creation date mutator.

  Parameters:
    `creationDate` - New creation date

### getLastModified

    public long getLastModified()

  Get last modified time.

  Returns:
    lastModified time value

### setLastModified

    public void setLastModified(long lastModified)

  Set last modified.

  Parameters:
    `lastModified` - New last modified value

### setLastModified

    public void setLastModified(java.util.Date lastModified)

  Deprecated.

  Set last modified date.

  Parameters:
    `lastModified` - New last modified date value

### getLastModifiedDate

    public java.util.Date getLastModifiedDate()

  Get lastModified date.

  Returns:
    LastModified date value

### setLastModifiedDate

    public void setLastModifiedDate(java.util.Date lastModifiedDate)

  Last modified date mutator.

  Parameters:
    `lastModifiedDate` - New last modified date

### getLastModifiedHttp

    public java.lang.String getLastModifiedHttp()

  Returns:
    Returns the lastModifiedHttp.

### setLastModifiedHttp

    public void setLastModifiedHttp(java.lang.String lastModifiedHttp)

  Parameters:
    `lastModifiedHttp` - The lastModifiedHttp to set.

### getMimeType

    public java.lang.String getMimeType()

  Returns:
    Returns the mimeType.

### setMimeType

    public void setMimeType(java.lang.String mimeType)

  Parameters:
    `mimeType` - The mimeType to set.

### getName

    public java.lang.String getName()

  Get name.

  Returns:
    Name value

### setName

    public void setName(java.lang.String name)

  Set name.

  Parameters:
    `name` - New name value

### getResourceType

    public java.lang.String getResourceType()

  Get resource type.

  Returns:
    String resource type

### setResourceType

    public void setResourceType(java.lang.String resourceType)

  Type mutator.

  Parameters:
    `resourceType` - New resource type

### getETag

    public java.lang.String getETag()

  Get ETag.

  Returns:
    strong ETag if available, else weak ETag.

### getETag

    public java.lang.String getETag(boolean strong)

  Deprecated.

  Get ETag.

  Parameters:
    `strong` - Ignored
  Returns:
    strong ETag if available, else weak ETag.

### setETag

    public void setETag(java.lang.String eTag)

  Set strong ETag.

### getCanonicalPath

    public java.lang.String getCanonicalPath()

  Return the canonical path of the resource, to possibly be used for direct file serving. Implementations which support this should override it to return the file path.

  Returns:
    The canonical path of the resource

### get

    public javax.naming.directory.Attribute get(java.lang.String attrID)

  Get attribute.

  Specified by:
    `get` in interface `javax.naming.directory.Attributes`

### put

    public javax.naming.directory.Attribute put(javax.naming.directory.Attribute attribute)

  Put attribute.

  Specified by:
    `put` in interface `javax.naming.directory.Attributes`

### put

    public javax.naming.directory.Attribute put(java.lang.String attrID,
                                                java.lang.Object val)

  Put attribute.

  Specified by:
    `put` in interface `javax.naming.directory.Attributes`

### remove

    public javax.naming.directory.Attribute remove(java.lang.String attrID)

  Remove attribute.

  Specified by:
    `remove` in interface `javax.naming.directory.Attributes`

### getAll

    public javax.naming.NamingEnumeration getAll()

  Get all attributes.

  Specified by:
    `getAll` in interface `javax.naming.directory.Attributes`

### getIDs

    public javax.naming.NamingEnumeration getIDs()

  Get all attribute IDs.

  Specified by:
    `getIDs` in interface `javax.naming.directory.Attributes`

### size

    public int size()

  Retrieves the number of attributes in the attribute set.

  Specified by:
    `size` in interface `javax.naming.directory.Attributes`

### clone

    public java.lang.Object clone()

  Clone the attributes object (WARNING: fake cloning).

  Specified by:
    `clone` in interface `javax.naming.directory.Attributes`
  Overrides:
    `clone` in class `java.lang.Object`

### isCaseIgnored

    public boolean isCaseIgnored()

  Case sensitivity.

  Specified by:
    `isCaseIgnored` in interface `javax.naming.directory.Attributes`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.